package com.ext.eai.agent.submessage;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.submessage.SubMessageManager;
import com.eactive.eai.common.util.Logger;

public class RemoveSubMessageCommand extends Command {
	private static final long serialVersionUID = 1L;

	public RemoveSubMessageCommand() {
		super("RemoveSubMessageCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		try {

			String bwkSvcKey = null;
			SubMessageManager manager = SubMessageManager.getInstance();

			bwkSvcKey = (String) args;
			if (bwkSvcKey != null) {
				manager.remove(bwkSvcKey);
			}

		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";
	}

}
